# This script dumps the content of shapefiles extremum,
# outermost_contour and max_speed_contour (dbf and shp).

if (($# != 1))
then
    echo "Required argument: directory containing collection of shapefiles"
    exit 1
fi

set -e

for shapefile in extremum outermost_contour max_speed_contour
do
    echo "------------------------------------------------"
    echo
    echo "dbfdump $1/$shapefile:"
    dbfdump $1/$shapefile
    echo
    echo "shpdump $1/$shapefile:"
    shpdump $1/$shapefile
done
